<bugID>1231323<Summary>hudservice module not found</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:42.0) Gecko/20100101 Firefox/42.0
Build ID: 20151029151421

Steps to reproduce:

As per various examples on stackoverflow and mdn docs, my code contains this:

const {Cu} = require("chrome");
const devtools = Cu.import("resource://gre/modules/devtools/Loader.jsm", {}).devtools;
const HUDService = devtools.require("devtools/webconsole/hudservice");

This code has worked at some point at most a few months ago (it's in a published addon).

I'm using the official 32bit build for windows and main update channel.


Actual results:

This code now throws an error:
module devtools/webconsole/hudservice not found at resource://devtools/webconsole/hudservice.js


Expected results:

I'm supposed to get a reference to http://mxr.mozilla.org/mozilla-release/source/browser/devtools/webconsole/hudservice.js so I can manipulate the console window.</Description></bugID>